VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Lemniscate"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3240
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   3240
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox picGraph 
      Height          =   3015
      Left            =   120
      ScaleHeight     =   2955
      ScaleWidth      =   2955
      TabIndex        =   0
      Top             =   120
      Width           =   3015
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Form_Load()
Const PI = 3.14159265
Dim x As Single
Dim y As Single
Dim r As Single
Dim t As Single
Dim dt As Single

    ' Set a convenient scale.
    picGraph.AutoRedraw = True
    picGraph.ScaleLeft = -1.1
    picGraph.ScaleWidth = 2.2
    picGraph.ScaleTop = 1.1
    picGraph.ScaleHeight = -2.2

    ' Draw axes.
    picGraph.Line (-2, 0)-(2, 0), vbBlue
    For x = -1 To 1
        picGraph.Line (x, -0.1)-(x, 0.1), vbBlue
    Next x
    picGraph.Line (0, -2)-(0, 2), vbBlue
    For y = -1 To 1
        picGraph.Line (-0.1, y)-(0.1, y), vbBlue
    Next y

    ' Draw the parametric curve.
    t = 0
    dt = PI / 100
    picGraph.CurrentX = 0
    picGraph.CurrentY = 0
    Do While t <= 2 * PI
        r = Cos(t) * Sin(t)
        If r >= 0 Then
            r = Sqr(r)
            x = r * Cos(t)
            y = r * Sin(t)
            picGraph.Line -(x, y)
        End If
        t = t + dt
    Loop
    picGraph.Line -(0, 0)
End Sub
